## qubes-gui-agent 4.2.7

=== debian/changelog ===
qubes-gui-agent (4.2.7-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 17 May 2023 00:05:31 +0200

qubes-gui-agent (4.2.7-1) unstable; urgency=medium

  * deb: Fix clearing source commands

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 17 May 2023 00:05:31 +0200
