=== debian/control ===
--- 
+++ 
@@ -43,13 +43,14 @@
     libxfixes3,
     libxt6,
     libx11-6,
+    libpam-systemd,
     python3,
     python3-xcffib,
     xserver-xorg-video-dummyqbs (= ${binary:Version}),
     xserver-xorg-input-qubes (= ${binary:Version}),
     ${shlibs:Depends},
     ${misc:Depends}
-Recommends: qt4-qtconfig, pulseaudio-qubes
+Recommends: qt4-qtconfig, pipewire-qubes
 Provides: x-display-manager
 Description: Makes X11 windows available to qubes dom0
  The Qubes GUI agent allows the forwarding of running app windows to the
