## qubes-gui-agent 4.2.12

=== debian/changelog ===
qubes-gui-agent (4.2.12-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 24 Jan 2024 04:03:39 +0100

qubes-gui-agent (4.2.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: add job for running openQA directly from a PR
  * archlinux: drop pipewire<1:0.4 dependency
  * archlinux: drop pipewire<1:0.4 dependency, part 2

  [ fepitre-bot ]
  * Add pulseaudio-17.0 headers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 Jan 2024 04:03:39 +0100
