## qubes-gui-agent 4.2.14

=== debian/changelog ===
qubes-gui-agent (4.2.14-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 26 Apr 2024 16:33:43 +0200

qubes-gui-agent (4.2.14-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: fix conditional pipewire build

  [ Demi Marie Obenour ]
  * Clarify input vs output streams
  * Allow Qubes group to use all realtime priorities
  * Allow carriage return in secure clipboard

  [ Frédéric Pierret (fepitre) ]
  * Watch qdb entry being set and modified on start or while playing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 26 Apr 2024 16:33:43 +0200
