## qubes-gui-agent 4.2.16

=== debian/changelog ===
qubes-gui-agent (4.2.16-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 05 Jul 2024 17:27:00 +0200

qubes-gui-agent (4.2.16-1) unstable; urgency=medium

  [ Kamil Aronowski ]
  * Add xorg-xrandr dependence for vm-archlinux

  [ Ben Grande ]
  * Use software rendering for Gio apps by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:27:00 +0200
