=== pipewire/Makefile ===
--- 
+++ 
@@ -6,15 +6,19 @@
 CFLAGS += $(extra_cflags)
 LDLIBS += $(extra_ldflags)
 LDFLAGS += -ggdb -Wl,--no-as-needed,--no-allow-shlib-undefined,-z,relro,-z,now
-qubes-pw-module.so: build/qubes-pw-module.o | Makefile
+all: qubes-pw-module.so pw-module-run
+%.so: build/%.o | Makefile
 	@mkdir -p -m 0700 -- build
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -shared $(LDLIBS)
+%: build/%.o | Makefile
+	@mkdir -p -m 0700 -- build
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
 build/%.o: %.c Makefile
 	@mkdir -p -m 0700 -- build
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $< -MP -MD -MF $@.dep
 
-.PHONY: clean
+.PHONY: clean all .PHONY
 clean:
 	rm -rf -- build
 -include build/*.o.dep
