=== debian/changelog ===
qubes-gui-agent (4.2.17-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 30 Jul 2024 21:25:42 +0200

qubes-gui-agent (4.2.17-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Prevent xfsettingsd re-enabling key auto-repeat feature

  [ Simon Gaiser ]
  * xf86-input-mfndev: Block generation of key repeat events

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 30 Jul 2024 21:25:42 +0200
