## qubes-gui-agent 4.2.18

=== debian/changelog ===
qubes-gui-agent (4.2.18-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:38:30 +0200

qubes-gui-agent (4.2.18-1) unstable; urgency=medium

  * Fix input device labels

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:38:30 +0200
