## qubes-gui-agent 4.2.19

=== debian/changelog ===
qubes-gui-agent (4.2.19-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 08 Nov 2024 02:33:54 +0100

qubes-gui-agent (4.2.19-1) unstable; urgency=medium

  * rpm: depend on cvt in F41+

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Nov 2024 02:33:54 +0100
