=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
     xserver-xorg-input-qubes (= ${binary:Version}),
     ${shlibs:Depends},
     ${misc:Depends}
-Recommends: qt4-qtconfig, pipewire-qubes
+Recommends: qt4-qtconfig, pulseaudio-qubes
 Provides: x-display-manager
 Description: Makes X11 windows available to qubes dom0
  The Qubes GUI agent allows the forwarding of running app windows to the
@@ -121,10 +121,10 @@
 Conflicts: pulseaudio-qubes
 Recommends: pipewire-pulse
 Description: PipeWire module to enable sound support in Qubes VM
- Experimental PipeWire module to enable sound support in Qubes VMs.
- Unlike the PulseAudio support in the pulseaudio-qubes package, this
- works with the stock PipeWire service and does not depend on internal
- PipeWire headers.  It is also less code.
+ PipeWire module to enable sound support in Qubes VMs.  Unlike the
+ PulseAudio support in the pulseaudio-qubes package, this works with
+ the stock PipeWire service and does not depend on internal
+ PipeWire headers.
 
 Package: qubes-gui-agent-xfce
 Architecture: any
