=== debian/changelog ===
qubes-gui-agent (4.2.22-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 09 Jan 2026 13:46:19 +0100

qubes-gui-agent (4.2.22-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Remove '$env' after it's loaded into environment
  * Include 'pointer' in the qubes input device name

  [ Simon Gaiser ]
  * vmside: Use correct format string instead of casting part 2

  [ Vertex X7-53 ]
  * Unbind Xen VGA adapter from bochs-drm on boot

  [ Marek Marczykowski-Górecki ]
  * Avoid using lspci in qubes-gui-agent-pre.sh
  * archlinux: relax libpulse dependency
  * debian: install cvt tool
  * archlinux: relax runtime pulseaudio dependency too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 09 Jan 2026 13:46:19 +0100
