## qubes-gui-agent 4.3.4

=== debian/changelog ===
qubes-gui-agent (4.3.4-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 27 Dec 2024 01:56:27 +0100

qubes-gui-agent (4.3.4-1) unstable; urgency=medium

  [ Rusty Bird ]
  * Also set software rendering via the new $GDK_DISABLE variable

  [ Guillaume Chinal ]
  * disable qubes-icon-sender on sys-net and sys-usb Qubes icon sender
    allows to update applications windows icons. In practice, few
    windows are opened on the sys-vms. Disabling this service allows to
    recover some RAM without causing inconvenience

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Dec 2024 01:56:27 +0100
