=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
     lsb-release,
     libpipewire-0.3-dev,
     quilt,
-    qubes-gui-common (>= 4.1.0),
+    qubes-gui-common (>= 4.3.0),
     qubesdb-dev,
     libltdl-dev,
 Standards-Version: 4.4.0.1
@@ -46,7 +46,6 @@
     libpam-systemd,
     python3,
     python3-xcffib,
-    xcvt,
     xserver-xorg-video-dummyqbs (= ${binary:Version}),
     xserver-xorg-input-qubes (= ${binary:Version}),
     ${shlibs:Depends},
