## qubes-gui-agent 4.3.5

=== debian/changelog ===
qubes-gui-agent (4.3.5-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 26 Jan 2025 18:59:56 +0100

qubes-gui-agent (4.3.5-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Pull in required Pipewire dependencies for Archlinux

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 26 Jan 2025 18:59:56 +0100
