## qubes-gui-agent 4.3.6

=== debian/changelog ===
qubes-gui-agent (4.3.6-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 27 Feb 2025 03:35:15 +0100

qubes-gui-agent (4.3.6-1) unstable; urgency=medium

  * xf86-video-dummy: fix type of CreateWindow field

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Feb 2025 03:35:15 +0100
