## qubes-gui-agent 4.3.9

=== debian/changelog ===
qubes-gui-agent (4.3.9-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 20 Jul 2025 17:11:33 +0200

qubes-gui-agent (4.3.9-1) unstable; urgency=medium

  [ Simon Gaiser ]
  * Cleanup sockaddr_un generation
  * vmside: Use correct format string instead of casting
  * vmside: Always print error to stderr
  * vmside: cleanup window lookup
  * vmside: cleanup logging
  * vmside: remove trailing whitespace
  * xf86-video-dummy: remove trailing whitespace
  * vmside: Fix oddly formatted comments
  * vmside: Remove tabs
  * xf86-video-dummy: Remove tabs
  * Don't try to send grants for not realized windows

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Jul 2025 17:11:33 +0200
