## qubes-gui-agent 4.3.11

=== debian/changelog ===
qubes-gui-agent (4.3.11-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 18 Sep 2025 04:53:39 +0200

qubes-gui-agent (4.3.11-1) unstable; urgency=medium

  * Avoid using lspci in qubes-gui-agent-pre.sh

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Sep 2025 04:53:39 +0200
