## qubes-gui-agent 4.3.13

=== debian/changelog ===
qubes-gui-agent (4.3.13-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 05 Nov 2025 15:43:01 +0100

qubes-gui-agent (4.3.13-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Do not exclude 256x256 icons from icon-sender

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Nov 2025 15:43:01 +0100
