## qubes-gui-agent 4.3.14

=== debian/changelog ===
qubes-gui-agent (4.3.14-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 15 Nov 2025 14:55:14 +0100

qubes-gui-agent (4.3.14-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * archlinux: relax libpulse dependency

  [ Ali Mirjamali ]
  * Send optimized icon size

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Nov 2025 14:55:14 +0100
